> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Logs

` GET /blockscout/addresses/{address_hash}/logs `

Get Address Logs

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` address_hash ` (path, required)

Address hash

- ` value `: type ` string `

  - pattern: ` "^0x([A-Fa-f0-9]{40})$" `

## Responses

### ` 200 ` — Address

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` items `, ` next_page_params `

  - ` items `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` address `, ` data `, ` decoded `, ` index `, ` smart_contract `, ` topics `, ` transaction_hash `

      - ` address `: type ` object `

        - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

        - ` hash `: type ` string `

          - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

        - ` implementation_name `: type ` string `

          - example: ` "implementationName" `

        - ` name `: type ` string `

          - example: ` "contractName" `

        - ` ens_domain_name `: type ` string `

          - example: ` "domain.eth" `

        - ` metadata `: type ` object `

          - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

        - ` is_contract `: type ` boolean `

        - ` private_tags `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` address_hash `, ` display_name `, ` label `

            - ` address_hash `: type ` string `

              - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` watchlist_names `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` display_name `, ` label `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` public_tags `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` address_hash `, ` display_name `, ` label `

            - ` address_hash `: type ` string `

              - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` is_verified `: type ` boolean `

      - ` block_hash `: type ` string `

        - example: ` "0xf90fdff5f174f7f29ebdf203d32cad2fe95376e41880bb9e731ca5eb0eef7941" `

      - ` block_number `: type ` integer `

        - example: ` 8844586 `

      - ` data `: type ` string `

        - example: ` "0x000000000000000000000000000000000000000000000000006a94d74f430000" `

      - ` decoded `: type ` object `

        - Required fields: ` method_call `, ` method_id `, ` parameters `

        - ` method_call `: type ` string `

          - example: ` "transferFrom(address _from, address _to, uint256 _value)" `

        - ` method_id `: type ` string `

          - example: ` "23b872dd" `

        - ` parameters `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` name `, ` type `, ` value `, ` indexed `

            - ` name `: type ` string `

              - example: ` "signature" `

            - ` type `: type ` string `

              - example: ` "bytes" `

            - ` value `: type ` string `

              - example: ` "0x0" `

            - ` indexed `: type ` boolean `

      - ` index `: type ` integer `

        - example: ` 35 `

      - ` smart_contract `: type ` object `

        - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

        - ` hash `: type ` string `

          - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

        - ` implementation_name `: type ` string `

          - example: ` "implementationName" `

        - ` name `: type ` string `

          - example: ` "contractName" `

        - ` ens_domain_name `: type ` string `

          - example: ` "domain.eth" `

        - ` metadata `: type ` object `

          - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

        - ` is_contract `: type ` boolean `

        - ` private_tags `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` address_hash `, ` display_name `, ` label `

            - ` address_hash `: type ` string `

              - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` watchlist_names `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` display_name `, ` label `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` public_tags `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` address_hash `, ` display_name `, ` label `

            - ` address_hash `: type ` string `

              - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` is_verified `: type ` boolean `

      - ` topics `: type ` array `

        - ` array item `: type ` string `

          - example: ` "0xe1fffcc4923d04b559f4d29a8bfc6cda04eb5b0d3c460751c2402c5c5cc9109c" `

      - ` transaction_hash `: type ` string `

        - example: ` "0x08ea4d75ad0abe327a7fd368733eaeac43077989e635d800530d7906ebf3bd54" `

  - ` next_page_params `: type ` object `

    - example: ` {"block_number":27736955,"index":68,"items_count":50} `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/addresses/string/logs'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/addresses/string/logs', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/addresses/string/logs')
print(response.json())
```